%define name	plasma-applet-daisy
%define version	0.0.4.26
%define release	%mkrel 2
%define Summary	 "Daisy" is a simple application launcher for Plasma


Summary:	%Summary
Name:		%name
Version:	%version
Release:	%release
Source0:	http://cdlszm.org/downloads/%{name}-%{version}.tar.xz
License:	GPLv3
Group:		Graphical desktop/KDE4
URL:		http://cdlszm.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kde-workspace-devel
Provides:	plasma-applet

%description
Daisy is a  free open-source widget for Plasma/KDE released under the
GNU General Public License version 3.
Main features:
    * Three types of roles: circular dock, media controller and linear
      dock;
    * Can dock in any screen position and be used in Horizontal or
      Vertical mode (linear dock role);
    * Configuration tools to access all configurable options;
    * Launchers can be edited with a simple right-click;
    * Hybrid launchers to launch applications and control running
      tasks;
    * Plugins to provide information and execute several tasks;
    * Various backgrounds available.

%files -f plasma_applet_daisy.lang
%defattr(-,root,root)
%doc README AUTHORS CHANGELOG COPYING INSTALL TODO
%_kde_libdir/kde4/plasma_applet_daisy.so
%_kde_services/plasma-applet-daisy.desktop
%{_datadir}/apps/desktoptheme/default/widgets/

#---------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
%__rm -rf %{buildroot}
%{makeinstall_std} -C build

%find_lang plasma_applet_daisy

%clean
%__rm -rf %{buildroot}


%changelog
* Sun Nov 10 2013 billybot <billybot> 0.0.4-26-2pclos2013
- rebuild for new kde

* Fri Nov 16 2012 Neal <nealbrks0 at gmail dot com> 0.0.4.26-1pclos2012
- process

* Sun Nov 11 2012 rogaven <rogaven at gmail.com> 0.0.4.26-1pclos2012
- rebuild against kde 4.9.2

* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Thu Nov 11 2010 Texstar <texstar at gmail.com> 0.0.4.25-1pclos2010
- 0.0.4.25

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.0.4.23-2pclos2010
- rebuild for 4.5.1

* Tue Aug 17 2010 pcserver <pcserver at hush.com> 0.0.4.23-1pclos2010
- update package


